| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Public Member Functions | Static Public Member Functions | Protected Member Functions
Tp::Client::DBus::PropertiesInterface Class Reference
Generic D-Bus proxies

`#include <TelepathyQt/DBus>`

Inherits Tp::AbstractInterface.

List of all members.

## Public Slots

- QDBusPendingReply< QDBusVariant > Get (const QString &interfaceName, const QString &propertyName, int timeout=-1)
- QDBusPendingReply Set (const QString &interfaceName, const QString &propertyName, const QDBusVariant &value, int timeout=-1)
- QDBusPendingReply< QVariantMap > GetAll (const QString &interfaceName, int timeout=-1)

## Public Member Functions

- PropertiesInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
- PropertiesInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
- PropertiesInterface (Tp::DBusProxy *proxy)
- PropertiesInterface (const Tp::AbstractInterface &mainInterface)
- PropertiesInterface (const Tp::AbstractInterface &mainInterface, QObject *parent)
- Tp::PendingVariantMap * requestAllProperties () const

## Static Public Member Functions

- static QLatin1String staticInterfaceName ()

## Protected Member Functions

- virtual void invalidate (Tp::DBusProxy *, const QString &, const QString &)

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.DBus.Properties".

## Constructor & Destructor Documentation

Tp::Client::DBus::PropertiesInterface::PropertiesInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a PropertiesInterface associated with the given object on the session bus.

Parameters:

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::DBus::PropertiesInterface::PropertiesInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a PropertiesInterface associated with the given object on the given bus.

Parameters:

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::DBus::PropertiesInterface::PropertiesInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a PropertiesInterface associated with the same object as the given proxy.

Parameters:

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

Tp::Client::DBus::PropertiesInterface::PropertiesInterface | ( | const Tp::AbstractInterface & | mainInterface | ) | `[explicit]`

Creates a PropertiesInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters:

  mainInterface | The proxy to use.

Tp::Client::DBus::PropertiesInterface::PropertiesInterface | ( | const Tp::AbstractInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a PropertiesInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters:

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

static QLatin1String Tp::Client::DBus::PropertiesInterface::staticInterfaceName | ( |  | ) | `[inline, static]`

Returns the name of the interface "org.freedesktop.DBus.Properties", which this class represents.

Returns:
  The D-Bus interface name.

Tp::PendingVariantMap* Tp::Client::DBus::PropertiesInterface::requestAllProperties | ( |  | ) | const`[inline]`

Request all of the DBus properties on the interface.

Returns:
  A pending variant map which will emit finished when the properties have been retrieved.

QDBusPendingReply<QDBusVariant> Tp::Client::DBus::PropertiesInterface::Get | ( | const QString & | interfaceName,
|  | const QString & | propertyName,
|  | int | timeout = `-1`
| ) |  | `[inline, slot]`

Begins a call to the D-Bus method `Get` on the remote object.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters:

  timeout | The timeout in milliseconds.

QDBusPendingReply Tp::Client::DBus::PropertiesInterface::Set | ( | const QString & | interfaceName,
|  | const QString & | propertyName,
|  | const QDBusVariant & | value,
|  | int | timeout = `-1`
| ) |  | `[inline, slot]`

Begins a call to the D-Bus method `Set` on the remote object.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters:

  timeout | The timeout in milliseconds.

QDBusPendingReply<QVariantMap> Tp::Client::DBus::PropertiesInterface::GetAll | ( | const QString & | interfaceName,
|  | int | timeout = `-1`
| ) |  | `[inline, slot]`

Begins a call to the D-Bus method `GetAll` on the remote object.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters:

  timeout | The timeout in milliseconds.

void Tp::Client::DBus::PropertiesInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  | `[protected, virtual]`

Reimplemented from Tp::AbstractInterface.